
/*
 * $Revision: 1.1 $
 */


// IAR simple-code header.
typedef struct _SimpleCodeHeader
{
  unsigned long magic;
  unsigned long flags;
  unsigned long bytes;
  unsigned short version;
} SimpleCodeHeader;


// IAR simple-code record.
typedef struct _SimpleCodeDataRec
{
  unsigned char segtype;
  unsigned short flags;
  unsigned long start;
  unsigned long bytes;
} SimpleCodeDataRec;


// This is the data pump routone in the flash loader.
// It reads the input file, decodes it and writes to flash memory.
void SimpleCodeProcessFile(int fd, void (*wr_byte_func)(unsigned long addr, int byte));

