/* Low-level debugger interface to the "remove" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <stdio.h>

#pragma cspy_support = io
#pragma module_name = "?remove"

typedef struct __Debug__RemoveParams
{
  char const *mName;
  int mReturnStatus;
} __Debug__RemoveParams;

int remove(const char *fname)
{
  /* Remove a file. */
  __Debug__RemoveParams p;
  p.mName = fname;
  __DebugBreak(__DebugRemove, &p);

  return p.mReturnStatus;
}
