/* Low-level debugger interface to the "__lseek" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <stdio.h>
#include <yfuns.h>

#pragma cspy_support = io
#pragma module_name = "?__lseek"

typedef struct __Debug__lseekParams
{
  int mHandle;
  long mOffset;
  int mWhence;
  long mReturnStatus;
} __Debug__lseekParams;

long __lseek(int handle, long offset, int whence)
{
  /* Seek in the file. */
  __Debug__lseekParams p;
  p.mHandle = handle;
  p.mOffset = offset;
  p.mWhence = whence;
  __DebugBreak(__DebugLseek, &p);

  return p.mReturnStatus;
}
