/* errno access for VC++ */
#include <errno.h>
#include "xtls.h"
_STD_BEGIN

#undef errno

#if _MULTI_THREAD
  _TLS_DATA_DEF(_IMPLICIT_EXTERN, int, errno, 0);

  int *(_Geterrno)(void)
  {	/* get pointer to errno */
    return (_TLS_DATA_PTR(errno));
  }
#else /* _MULTI_THREAD */
  /* IAR defines errno here */
  int errno;
#if 0
  int *(_Geterrno)(void)
  {	/* get pointer to errno */
    return (&errno);
  }
#endif
#endif /* _MULTI */
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
