/* fputws function */
#include "xwstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (fputws)(const wchar_t *s, FILE *str)
	{	/* put a string to wide stream */
	_Lockfileatomic(str);
	for (; *s != '\0'; ++s)
		if (fputwc(*s, str) == WEOF)
			{	/* write failed */
			_Unlockfileatomic(str);
			return (EOF);
			}
	_Unlockfileatomic(str);
	return (0);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
