/* iswspace et.al. (those that depend on the locale) */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <yvals.h>
#include <wctype.h>
#include <xinstantiate.h>

#if _DLIB_FULL_LOCALE_SUPPORT

#include <locale.h>
#include <xlocale.h>

#define _LOCALE_LIST_HELPER1(n,f)               \
   case _Locale##n##_id:                        \
   {                                            \
     extern int _Locale##n##_##f(wint_t);       \
     return _Locale##n##_##f(c);                \
   }


#define DEF_ISWXXX(f)                                           \
int f(wint_t c)                                                 \
{                                                               \
  switch (_LocaleForCat(_LC_CTYPE))                             \
  {                                                             \
  default:                                                      \
    _LOCALE_LIST1(f)                                            \
  }                                                             \
}

#else /* _DLIB_FULL_LOCALE_SUPPORT */

#define DEF_ISWXXX(f) _INSTANTIATE(f);

#endif /* _DLIB_FULL_LOCALE_SUPPORT */

_STD_BEGIN
DEF_ISWXXX(iswalpha)
DEF_ISWXXX(iswcntrl)
DEF_ISWXXX(iswlower)
DEF_ISWXXX(iswpunct)
DEF_ISWXXX(iswspace)
DEF_ISWXXX(iswupper)

DEF_ISWXXX(iswdigit)
DEF_ISWXXX(iswxdigit)

_INSTANTIATE(iswctype);
_STD_END

#undef _LOCALE_LIST_HELPER1
