/* ldiv function */
#include <stdlib.h>

#ifdef _LONGLONG

_STD_BEGIN

lldiv_t (lldiv)(long long numer, long long denom)
	{	/* compute long long quotient and remainder */
        lldiv_t val;
	static const int fixneg = -1 / 2;

	val.quot = numer / denom;
	val.rem = numer - denom * val.quot;
	if (fixneg < 0 && val.quot < 0 && val.rem != 0)
		{	/* fix incorrect truncation */
		val.quot += 1;
		val.rem -= denom;
		}
	return (val);
	}
_STD_END

#endif /* _LONGLONG */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
