/* swprintf function */
#include "xwstdio.h"
_STD_BEGIN

int (swprintf)(wchar_t *s, size_t max,
	const wchar_t *fmt, ...)
	{	/* print formatted to wide string */
	int ans;
	_WSPftArgs x;
	va_list ap;

	va_start(ap, fmt);
	x.s = s;
	x.max = max;
	ans = _WPrintf(&_WSProut, &x, fmt, &ap);
	if (0 <= ans)
		s[ans] = L'\0';
	va_end(ap);
	return (ans);
	}

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
