/* toupper function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <yvals.h>
#include <ctype.h>
#include <locale.h>
#include <xlocale.h>

#if _DLIB_FULL_LOCALE_SUPPORT

#include <xlocale_c.h>

int toupper(int c)
{
  switch (_LocaleForCat(_LC_CTYPE))
  {
  default:

#define _LOCALE_LIST_HELPER(n)                  \
  case _Locale##n##_id:                         \
  {                                             \
    extern int _Locale##n##_toupper(int);       \
    return _Locale##n##_toupper(c);             \
  }

_LOCALE_LIST
  }
}

#undef _LOCALE_LIST_HELPER

#else /* ! _DLIB_FULL_LOCALE_SUPPORT */

#include <xinstantiate.h>

_INSTANTIATE(toupper);

#endif /* _DLIB_FULL_LOCALE_SUPPORT */
