/* _Close_all function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

/* Note: This is called from cstartup, if the label
 * "__cstart_closeall" has been required by some module. */

#include <stdio.h>
#include <yfuns.h>

_STD_BEGIN

void _Close_all(void)
{     /* close all files at exit */
#if _DLIB_FILE_DESCRIPTOR
  size_t i;

  for (i = 0; i < FOPEN_MAX; ++i)
    if (_Files[i] != 0)
      fclose(_Files[i]);
#endif
  __write(-1, 0, 0);
}

_STD_END
