/* __gets function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <stdio.h>

_STD_BEGIN

#ifndef __XXGETS_CHAR_BY_CHAR
#define __XXGETS_CHAR_BY_CHAR 0
#endif

#if _DLIB_FILE_DESCRIPTOR && !__XXGETS_CHAR_BY_CHAR

char *(__gets)(char *buf, int n)
{
  return fgets(buf, n, stdin);
}

#else /* _DLIB_FILE_DESCRIPTOR && !__XXGETS_CHAR_BY_CHAR */

char *(__gets)(char *buf, int n)
{
  char * p = buf;

  for (;;)
  {
    if (--n == 0)
    {
      break;
    }

    {
      int ch = getchar();

      if (ch == EOF || ch == '\n')
      {
        break;
      }
      *p++ = ch;
    }
  }

  if (p == buf)
  {
    return 0;
  }
  *p = '\0';
  return buf;
}

#endif /* _DLIB_FILE_DESCRIPTOR && !__XXGETS_CHAR_BY_CHAR */

_STD_END
