
/*
 * $Revision: 1.1 $
 */

#include <stdio.h>
#include <string.h>
#include <inarm.h>
#include "timer.h"
#include "ep9312.h"

void main(void)
{
  // Set up peripheral registers.
  EP9312InitPIO();
  
  // First disable interrupts.
  __disable_interrupt();
  // Setup interrupt controller.
  EP9312InitInterrupt(TimerBeat);
  // Periodic timer initialization.
  EP9312InitTimer();
  // Enable interrupts.
  __enable_interrupt();

  // Start periodic timer.
  EP9312StartTimer();

  // Loop forever.
  for (;;)
  {
      // Toggle LED's.
      EP9312LedSet(1);
      Sleep(300);
      EP9312LedSet(2);
      Sleep(300);
  }
}
