;;;
;;; Verify that we don't have any strange combination of defines set
;;;
;;; 


	;; Make sure we have a well defined endian set up
#ifndef __LITTLE_ENDIAN__
#error "Must have endian specified: __LITTLE_ENDIAN__ {0/1}"
#else
#if __LITTLE_ENDIAN__ == 0
	;; Big endian
#else
#if __LITTLE_ENDIAN__ == 1
	;; Little endian
#else
#error "Unknown endian specified: __LITTLE_ENDIAN__ {0/1}"
#endif
#endif
#endif

	;; Check library version (ARM/Thumb)

#ifdef __ARM_LIBRARY__
#ifdef __THUMB_LIBRARY__
#error "Cannot have both __ARM_LIBRARY__ and __THUMB_LIBRARY__ set!"
#endif
#else
#ifndef __THUMB_LIBRARY__
#error "Must have one of  __ARM_LIBRARY__ or __THUMB_LIBRARY__ set!"
#endif
#endif
