/* fseek function */
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (fseek)(FILE *str, long off, int smode)
	{	/* set seek offset for stream */
	int ans;

	_Lockfileatomic(str);
	ans = _Fspos(str, 0, off, smode);
	_Unlockfileatomic(str);
	return (ans);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
