/* fwide function */
#include "xwstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (fwide)(FILE *str, int mode)
	{	/* set/test wide/narrow file mode */
	int ans;

	_Lockfileatomic(str);
	if (mode < 0 && !(str->_Mode & _MWIDE))
		str->_Mode |= _MBYTE;
	else if (0 < mode && !(str->_Mode & _MBYTE))
		str->_Mode |= _MWIDE;
	ans = str->_Mode & _MBYTE ? -1
		: str->_Mode & _MWIDE ? 1 : 0;
	_Unlockfileatomic(str);
	return (ans);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
