/* isspace et.al. (those that depend on the locale) */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <yvals.h>
#include <ctype.h>

#if _DLIB_FULL_LOCALE_SUPPORT

#include <locale.h>
#include <xlocale.h>

#define _LOCALE_LIST_HELPER1(n,f)               \
   case _Locale##n##_id: {                      \
     return _Locale##n##_##f(c); }


#define DEF_ISXXX(f)                                            \
int f(int c)                                                    \
{                                                               \
  switch (_LocaleForCat(_LC_CTYPE))                             \
  {                                                             \
  default:                                                      \
    _LOCALE_LIST1(f)                                            \
  }                                                             \
}

#else /* _DLIB_FULL_LOCALE_SUPPORT */

#include <xinstantiate.h>
#define DEF_ISXXX(f) _INSTANTIATE(f);

#endif /* _DLIB_FULL_LOCALE_SUPPORT */

_STD_BEGIN
DEF_ISXXX(isalpha)
DEF_ISXXX(iscntrl)
DEF_ISXXX(islower)
DEF_ISXXX(ispunct)
DEF_ISXXX(isspace)
DEF_ISXXX(isupper)
_STD_END

#undef _LOCALE_LIST_HELPER1
