/* memchr function */
#include <yvals.h>
#define _NO_DEFINITIONS_IN_HEADER_FILES

#include <string.h>
_STD_BEGIN

void *(memchr)(const void *s, int c, size_t n)
	{
	return _Memchr(s, c, n);
	}

void *_Memchr(const void *s, int c, size_t n)
	{	/* find first occurrence of c in s[n] */
	const unsigned char uc = c;
	const unsigned char *su = (const unsigned char *)s;

	for (; 0 < n; ++su, --n)
		if (*su == uc)
			return ((void *)su);
	return (0);
	}
_STD_END

/*
* Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
