// ostream implementation.
#include <ostream>
_STD_BEGIN

ostream::_Myt& ostream::operator<<(_Bool _Val)
{
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(short _Val)
{       // insert a short
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);
    ios_base::fmtflags _Bfl =
      ios_base::flags() & ios_base::basefield;
    long _Tmp = (_Bfl == ios_base::oct
                 || _Bfl == ios_base::hex)
      ? (long)(unsigned short)_Val : (long)_Val;

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Tmp).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(unsigned short _Val)
{       // insert an unsigned short
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), (unsigned long)_Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(int _Val)
{       // insert an int
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);
    ios_base::fmtflags _Bfl =
      ios_base::flags() & ios_base::basefield;
    long _Tmp = (_Bfl == ios_base::oct
                 || _Bfl == ios_base::hex)
      ? (long)(unsigned int)_Val : (long)_Val;

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Tmp).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(unsigned int _Val)
{       // insert an unsigned int
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), (unsigned long)_Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(long _Val)
{       // insert a long
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(unsigned long _Val)
{       // insert an unsigned long
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

#ifdef _LONGLONG

ostream::_Myt& ostream::operator<<(_LONGLONG _Val)
{       // insert a long long
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(_ULONGLONG _Val)
{       // insert an unsigned long long
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}
 #endif /* _LONGLONG */

ostream::_Myt& ostream::operator<<(float _Val)
{       // insert a float
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), (double)_Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(double _Val)
{       // insert a double
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(long double _Val)
{       // insert a long double
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::operator<<(const void *_Val)
{       // insert a void pointer
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (_Ok)
  {       // state okay, use facet to insert
    const _Nput& _Nput_fac = _USE(ios_base::getloc(), _Nput);

    _TRY_IO_BEGIN
      if (_Nput_fac.put(_Iter(_Myios::rdbuf()), *this,
                        _Myios::fill(), _Val).failed())
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

#pragma diag_suppress = Pe340
#pragma diag_suppress = Pe236

ostream::_Myt& ostream::operator<<(_Mysb *_Strbuf)
{       // insert until end-of-file from a stream buffer
  ios_base::iostate _State = ios_base::goodbit;
  bool _Copied = false;
  const sentry _Ok(*this);

  if (_Ok && _Strbuf != 0)
    for (int_type _Meta = _Traits::eof(); ; _Copied = true)
    {       // extract another character from stream buffer
      _TRY_BEGIN
        _Meta = _Traits::eq_int_type(_Traits::eof(), _Meta)
        ? _Strbuf->sgetc() : _Strbuf->snextc();
      _CATCH_ALL
        _Myios::setstate(ios_base::failbit);
      _RERAISE;
      _CATCH_END

        if (_Traits::eq_int_type(_Traits::eof(), _Meta))
          break;  // end of file, quit

      _TRY_IO_BEGIN
        if (_Traits::eq_int_type(_Traits::eof(),
                                 _Myios::rdbuf()->sputc(
                                   _Traits::to_char_type(_Meta))))
        {       // insertion failed, quit
          _State |= ios_base::badbit;
          break;
        }
      _CATCH_IO_END
        }

  ios_base::width(0);
  if (_Strbuf == 0)
    _State |= ios_base::badbit;
  else if (!_Copied)
    _State |= ios_base::failbit;
  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::put(_Elem _Ch)
{       // insert a character
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (!_Ok)
    _State |= ios_base::badbit;
  else
  {       // state okay, insert character
    _TRY_IO_BEGIN
      if (_Traits::eq_int_type(_Traits::eof(),
                               _Myios::rdbuf()->sputc(_Ch)))
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::write(const _Elem *_Str, streamsize _Count)
{       // insert _Count characters from array _Str
  ios_base::iostate _State = ios_base::goodbit;
  const sentry _Ok(*this);

  if (!_Ok)
    _State |= ios_base::badbit;
  else
  {       // state okay, insert characters
    _TRY_IO_BEGIN
      if (_Myios::rdbuf()->sputn(_Str, _Count) != _Count)
        _State |= ios_base::badbit;
    _CATCH_IO_END
      }

  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::flush()
{       // flush output stream
  ios_base::iostate _State = ios_base::goodbit;
  if (!ios_base::fail() && _Myios::rdbuf()->pubsync() == -1)
    _State |= ios_base::badbit;     // sync failed
  _Myios::setstate(_State);
  return (*this);
}

ostream::_Myt& ostream::seekp(pos_type _Pos)
{       // set output stream position to _Pos
  if (!ios_base::fail()
      && (off_type)_Myios::rdbuf()->pubseekpos(_Pos,
                                               ios_base::out) == _BADOFF)
    _Myios::setstate(ios_base::failbit);
  return (*this);
}

ostream::_Myt& ostream::seekp(off_type _Off, ios_base::seekdir _Way)
{       // change output stream position by _Off, according to _Way
  if (!ios_base::fail()
      && (off_type)_Myios::rdbuf()->pubseekoff(_Off, _Way,
                                               ios_base::out) == _BADOFF)
    _Myios::setstate(ios_base::failbit);
  return (*this);
}

// Top level

ostream& operator<<(ostream& _Ostr, const char *_Val)
        {       // insert NTBS
        typedef char _Elem;
        typedef char_traits _Traits;
        typedef ostream _Myos;
        ios_base::iostate _State = ios_base::goodbit;
        streamsize _Count = (streamsize)_Traits::length(_Val);  // may overflow
        streamsize _Pad = _Ostr.width() <= 0 || _Ostr.width() <= _Count
                ? 0 : _Ostr.width() - _Count;
        const _Myos::sentry _Ok(_Ostr);

        if (!_Ok)
                _State |= ios_base::badbit;
        else
                {       // state okay, insert
                _TRY_IO_BEGIN
                if ((_Ostr.flags() & ios_base::adjustfield) != ios_base::left)
                        for (; 0 < _Pad; --_Pad)        // pad on left
                                if (_Traits::eq_int_type(_Traits::eof(),
                                        _Ostr.rdbuf()->sputc(_Ostr.fill())))
                                        {       // insertion failed, quit
                                        _State |= ios_base::badbit;
                                        break;
                                        }

                if (_State == ios_base::goodbit
                        && _Ostr.rdbuf()->sputn(_Val, _Count) != _Count)
                        _State |= ios_base::badbit;

                if (_State == ios_base::goodbit)
                        for (; 0 < _Pad; --_Pad)        // pad on right
                                if (_Traits::eq_int_type(_Traits::eof(),
                                        _Ostr.rdbuf()->sputc(_Ostr.fill())))
                                        {       // insertion failed, quit
                                        _State |= ios_base::badbit;
                                        break;
                                        }
                _Ostr.width(0);
                _CATCH_IO_(_Ostr)
                }

        _Ostr.setstate(_State);
        return (_Ostr);
        }

ostream& operator<<(ostream& _Ostr, char _Ch)
        {       // insert a character
        typedef char _Elem;
        typedef char_traits _Traits;
        typedef ostream _Myos;
        ios_base::iostate _State = ios_base::goodbit;
        const _Myos::sentry _Ok(_Ostr);

        if (_Ok)
                {       // state okay, insert
                streamsize _Pad = _Ostr.width() <= 1 ? 0 : _Ostr.width() - 1;

                _TRY_IO_BEGIN
                if ((_Ostr.flags() & ios_base::adjustfield) != ios_base::left)
                        for (; _State == ios_base::goodbit && 0 < _Pad;
                                --_Pad) // pad on left
                                if (_Traits::eq_int_type(_Traits::eof(),
                                        _Ostr.rdbuf()->sputc(_Ostr.fill())))
                                        _State |= ios_base::badbit;

                if (_State == ios_base::goodbit
                        && _Traits::eq_int_type(_Traits::eof(),
                                _Ostr.rdbuf()->sputc(_Ch)))
                        _State |= ios_base::badbit;

                for (; _State == ios_base::goodbit && 0 < _Pad;
                        --_Pad) // pad on right
                        if (_Traits::eq_int_type(_Traits::eof(),
                                _Ostr.rdbuf()->sputc(_Ostr.fill())))
                                _State |= ios_base::badbit;
                _CATCH_IO_(_Ostr)
                }

        _Ostr.width(0);
        _Ostr.setstate(_State);
        return (_Ostr);
        }


_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
