/* _ScanfXxx template. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <stddef.h>
#include <stdio.h>
#include <stdarg.h>
#include <xstdio.h>

#pragma diag_suppress = pe177

#ifdef _SCANF_SUFFIX
#define _Scanf _GLUE(_Scanf, _SCANF_SUFFIX)
#else
#define _SCANF_SUFFIX Default
#endif

#define _Getfld   _GLUE(_Getfld  , _SCANF_SUFFIX)
#define _Getfloat _GLUE(_Getfloat, _SCANF_SUFFIX)
#define _Getint   _GLUE(_Getint  , _SCANF_SUFFIX)
#define _Getstr   _GLUE(_Getstr  , _SCANF_SUFFIX)

int _Scanf(int (*)(void *, int, int),
           void *, const char *, va_list *);

static int _Getfld(_Sft *);
static int _Getfloat(_Sft *);
static int _Getint(_Sft *);
static int _Getstr(_Sft *, int);

#include "xscanf.c"
#include "xgetfld.c"
#include "xgetstr.c"
#include "xgetint.c"
#include "xgetfloa.c"
