/* Scanf input function - string version */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "xwstdio.h"
#include <wchar.h>
#include <yfuns.h>

_STD_BEGIN

wint_t _WSScin(void *str, wint_t ch, int getfl)
{	/* get or put a character */
  wchar_t *s = *(wchar_t **)str;

  if (!getfl)
  {	/* back up a wchar_t */
    *(wchar_t **)str = s - 1;
    return (ch);
  }
  else if (*s == L'\0')
    return (WEOF);
  else
  {	/* deliver a wchar_t */
    *(wchar_t **)str = s + 1;
    return (*s);
  }
}

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
