/* xxmodf.h -- common modf[fl] functionality */
#include "xmath.h"
_STD_BEGIN

FTYPE (HFFUN(modf))(FTYPE x, FTYPE *pint)
	{	/* compute modf(x, &intpart) */
	*pint = x;
	switch (FNAME(Dint)(_D_PTRCAST pint, 0))
		{	/* test for special codes */
	case _NANCODE:
		return (x);
	case _INFCODE:
	case 0:
		return (FISNEG(x) ? -FNAME(Zero) : FLIT(0.0));
	default:	/* finite */
		return (x - *pint);
		}
	}
_STD_END

/*
* Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
